using System;
using System.Drawing;
using System.Collections.Generic;
using System.Text;

namespace derivedForm
{
    class Cargo00
    {
        public Ressore00 r;

        public Size cargoSize;
        public PointF position;
        public float mass;
        public float force;
        

        public Cargo00(Size cargoSize, PointF position, float mass, float force)
        { 
         this.cargoSize = cargoSize;
         this.position = position;
         this.mass = mass;
         this.force = force;  
        }

        //  .
        public void drawCargo(Graphics gr, Pen pen, SolidBrush br, double rPoint)
        {
            gr.DrawRectangle(
                             pen,
                             (float)((position.X - (float)(cargoSize.Width / 2)) * rPoint),
                             (float)(position.Y * rPoint),
                             (float)(cargoSize.Width * rPoint),
                             (float)(cargoSize.Height * rPoint)
                            );
            gr.FillRectangle(
                             br,
                             (float)((position.X - (float)(cargoSize.Width / 2)) * rPoint),
                             (float)(position.Y * rPoint),
                             (float)(cargoSize.Width * rPoint),
                             (float)(cargoSize.Height * rPoint)
                            );
        }

        

        //   .
        public PointF Position
        {
            set 
            {
                position.X = value.X;
                position.Y = value.Y;
            }
            get 
            {
                return position;
            }
        }
                
    }
}
