using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using winLibrary00;

namespace Win3dApp00
{
 
    public partial class x3dForm : xForm00
    {
        Pen cPen;
       
        Pen[] vPens;

        Cube c;
        Random rnd;


        public x3dForm(Color cKey, Color gKey) : base(cKey, gKey)
        
        {
            rnd = new Random();
            cPen = new Pen(Color.FromArgb(20, 0, 0, 0));

            vPens = new Pen[8]{
                               new Pen(Color.FromArgb(250, 250, 0, 0)),
                               new Pen(Color.FromArgb(250, 50, 200, 0)),
                               new Pen(Color.FromArgb(250, 100, 100, 50)),
                               new Pen(Color.FromArgb(250, 100, 150, 0)),
                               new Pen(Color.FromArgb(250, 0, 150, 100)),
                               new Pen(Color.FromArgb(250, 50, 100, 100)),
                               new Pen(Color.FromArgb(250, 0, 200, 50)),
                               new Pen(Color.FromArgb(250, 0, 0, 250))            
                               };

 
            InitializeComponent();
       
            c = new Cube(100.0F, 100);
            //c.mTr.Scale(2.0F);
            //c.mTr.Translate(10, 10, 10);

            this.cubeTimer.Start();
        }

        public override void xRedraw()
        {           
            Graphics gr = Graphics.FromImage(base.bmp);

            c.DrawCube(gr, cPen, vPens, base.rPoint);

            gr.Dispose();
        }

        
        //     Layout.
        //       .
        public override void Form_Layout(object sender, LayoutEventArgs e)
        {
            base.Form_Layout(sender, e);
        }

        private void cubeTimer_Tick(object sender, EventArgs e)
        {

            //c.Move(rnd.Next(-1, 2), rnd.Next(-1, 2), rnd.Next(-1, 2));

            c.mTr.RotateZ(c.mWrk, 1);
            c.mTr.RotateY(c.mWrk, 1);
            c.mTr.RotateX(c.mWrk, 1);
  
            c.Cube2dTransformation();

            base.ClearBMP(); //    .
        }              
    }
}