using System;
using System.Collections;

namespace By2
{
	/// <summary>
	/// Summary description for TransformerBy2.
	/// </summary>
	public class TransformerBy2
	{
       int order;


		public TransformerBy2(int key)
		{
			order = key;
        }

		int GetPow(int key)
		{
		 int i = 0;
			while (true)
			{
			 if (key < (int)Math.Pow(2,i))
				   return i;
             else
				   i++;			
			}		
		}

		public void To2Go(int valKey, ref ArrayList arrList)
		{
       
		 int iPow = GetPow(valKey);
	     int i, mmax;
		 for (i = 0; i < iPow; i++) arrList.Insert(i,0);

		 while(true)
		 {
			 mmax = (int)Math.Pow(2,iPow);
			 if (valKey >= mmax)
			 {
				 arrList[iPow] = 1;
				 valKey -= mmax;
				 iPow--;
			 }
			 else
			 {
				 iPow--;
			 }
			if (iPow < 0) return;
		 }

		}

		public int From2Go(ArrayList arrList, int size)
		{
			int ret = 0;
			int i;
		 
			for (i = 0; i < size; i++)
			{
				ret+=((int)arrList[i])*(int)Math.Pow(2,i);
			}

			return ret;
		}

	}
}
