using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace cForm
{
public partial class cForm : Form
{
//      .
Color backColor;
Pen greedPen;
Pen pen0;
SolidBrush br;

//  .   xPoint.
xPoint[] pt;

//  .
const int nPT = 10000;

//     .
public int NX, NY;

//     . 
const int minHeight = 100;
const int minWidth = 100;
const int maxHeight = 950;
const int maxWidth = 950;

//  .   .
private double rPoint;

//      .
int borderHeight;
int borderWidth;

//  .    .
//  ""  
// (-  Graphics, 
//      FromImage),
//    (  Graphics)  .
//       mainPictureBox 
//    Image   .
private Bitmap bmp;

// .    ,    
//     (   mainTimer_Tick).
private System.Windows.Forms.Timer mainTimer;

//  .
public cForm()
{
int i;

//   .    .
backColor = Color.FromArgb(255,0,0,0);

//   .
greedPen = new Pen(Color.FromArgb(50, 0, 0, 255), 1);
pen0 = new Pen(Color.FromArgb(255,0,0,0),1);
br = new SolidBrush(Color.FromArgb(0, 0, 0, 0));

//       !
InitializeComponent();

//      ().
GetBordersGabarits();

//       .
// ""  -    
// .
bForm00_Layout(null, null);

//     . 
SetMinMaxSize();

//  .
//     ,
//         !
NX = 5;
NY = 5;

//  .
//      -     .
//        , 
//      . 
pt = new xPoint[nPT];
for (i = 0; i < pt.Length; i++)
{
pt[i] = new xPoint(
     (int)(this.ClientSize.Width  / (2*rPoint)),
     (int)(this.ClientSize.Height / (2*rPoint)),
     0, //NX, // xPoint.rnd.Next(0, NX+1), //     
     0  //NY  // xPoint.rnd.Next(0, NY+1)  //   .
     );
}

//  !
mainTimer.Start();
}

//    rPoint   .
//   !
//      .
//          value!
private Size rPointSet
{            
set
{ 
Size s = value;
rPoint = Math.Sqrt(2.0*s.Width*s.Height) * 0.002;            
}        
}

//     !       .
public double rPointGet
{
get
{
return rPoint;
}
}        

//    .
//      - ,
//     -   
//   .
//      -   Graphics:
//      Graphics gr = e.Graphics;
//    !
//      ,   
//     ,
//   ,    . 
private void bForm00_Paint(object sender, PaintEventArgs e)
{
xRedraw(); 
}
              
//  Layout        ,
//       ,
//      ,      .
//     ,   ..._Resize  ..._SizeChanged.
//  Layout       ..._Resize  ..._SizeChanged,
//     ,     .
private void bForm00_Layout(object sender, LayoutEventArgs e)
{
//     -      !
//        
//    (     ).
//       . 

Size = new System.Drawing.Size
    (
    (ClientSize.Width + ClientSize.Height)/2 + borderWidth,
    (ClientSize.Width + ClientSize.Height)/2 + borderHeight
    );

//     -    rPoint, 
//      rPointSet.   
rPointSet = this.ClientSize;
//        .
bmp = new Bitmap(this.ClientSize.Width, this.ClientSize.Height);

//       ( )
//      (Paint)   ().
//   (true)     
//  .      -
//  Graphics,    .
//        
//   -  (   -  bForm00_Paint).
this.Invalidate(false); 
}

//   :
//       
//  !       
//     .
//  : this.Invalidate(false);
//        ,   xRedraw.  
private void mainTimer_Tick(object sender, EventArgs e)
{
xPoint.setNextPosition(this, pt);
xRedraw();
}

// .
private void xRedraw()
{
//      !
Graphics gr = Graphics.FromImage(bmp);

//         !!
gr.Clear(backColor);

//  !
DrawGreed(gr);

//  !
foreach (xPoint xp in pt)
{
br.Color = xp.xColor;
gr.FillEllipse(br,
               (float)((xp.p.X * rPoint) - rPoint),
               (float)((xp.p.Y * rPoint) - rPoint),
               (float)(2 * rPoint),
               (float)(2 * rPoint));
pen0.Color = xp.xColor;
gr.DrawEllipse(pen0,
               (float)((xp.p.X * rPoint) - rPoint),
               (float)((xp.p.Y * rPoint) - rPoint),
               (float)(2 * rPoint),
               (float)(2 * rPoint));
}

//  -  .
gr.Dispose();

//  :    
//    . 
this.mainPictureBox.Image = bmp;
}

//     ( gr)   . 
private void DrawGreed(Graphics gr)
{
float i;
float w = (float)(this.ClientSize.Width / 25.0F), h = (float)(this.ClientSize.Height / 25.0F);
float W = this.ClientSize.Width, H = this.ClientSize.Height;

for (i = h; i < H; i += h)
{
gr.DrawLine(this.greedPen, 0, i, W, i);
}

for (i = w; i < W; i += w)
{
gr.DrawLine(this.greedPen, i, 0, i, H);
}
}
}
}