using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Rolls01
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		const int velocity = 10;

		public static int radiusCentre = 10;

		public static PointF centre; 
		public static PointF radiusPoint;

		public static float reX, reY;


        public Random rnd;

		SET_XY dlg;
		int showMode;
		public int moveMode;
		bool showTrace;
		Pen pen, cursorPen;
		SolidBrush brush;
		Bitmap bmp;
		public int nPoints;
		public static rPoint zeroPoint;
		public rPoint[] rpArray;
		private System.Windows.Forms.Timer timer1;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem goItem;
		private System.Windows.Forms.MenuItem moveModeItem;
		private System.Windows.Forms.MenuItem ordinareItem;
		private System.Windows.Forms.MenuItem streetItem;
		private System.Windows.Forms.MenuItem pointsItem;
		private System.Windows.Forms.MenuItem figureItem;
		private System.Windows.Forms.MenuItem pixelItem;
		private System.Windows.Forms.MenuItem tracerItem;
		private System.Windows.Forms.MenuItem clearItem;
		public  System.Windows.Forms.PictureBox rollPictureBox;
		private System.Windows.Forms.MenuItem CalibratorItem;
		private System.Windows.Forms.MenuItem nPointsItem;
		private System.Windows.Forms.MenuItem helpItem;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			rnd = new Random();
			brush = new SolidBrush(System.Drawing.Color.Black);
			pen = new Pen(System.Drawing.Color.Black,1);
			cursorPen = new Pen(System.Drawing.Color.Blue,1);
			bmp = new Bitmap(1,1);
			centre = new PointF(0.0F, 0.0F);
			nPoints = 1000;
			rpArray = new rPoint[nPoints];
			rPoint.f1 = this;
			InitializeComponent();
			this.rollPictureBox.Image = bmp;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.goItem = new System.Windows.Forms.MenuItem();
			this.moveModeItem = new System.Windows.Forms.MenuItem();
			this.ordinareItem = new System.Windows.Forms.MenuItem();
			this.streetItem = new System.Windows.Forms.MenuItem();
			this.CalibratorItem = new System.Windows.Forms.MenuItem();
			this.tracerItem = new System.Windows.Forms.MenuItem();
			this.nPointsItem = new System.Windows.Forms.MenuItem();
			this.pointsItem = new System.Windows.Forms.MenuItem();
			this.figureItem = new System.Windows.Forms.MenuItem();
			this.pixelItem = new System.Windows.Forms.MenuItem();
			this.clearItem = new System.Windows.Forms.MenuItem();
			this.rollPictureBox = new System.Windows.Forms.PictureBox();
			this.helpItem = new System.Windows.Forms.MenuItem();
			this.SuspendLayout();
			// 
			// timer1
			// 
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.goItem,
																					  this.moveModeItem,
																					  this.pointsItem,
																					  this.clearItem,
																					  this.helpItem});
			// 
			// goItem
			// 
			this.goItem.Index = 0;
			this.goItem.Text = "Go!";
			this.goItem.Click += new System.EventHandler(this.goItem_Click);
			// 
			// moveModeItem
			// 
			this.moveModeItem.Index = 1;
			this.moveModeItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																						 this.ordinareItem,
																						 this.streetItem,
																						 this.CalibratorItem,
																						 this.tracerItem,
																						 this.nPointsItem});
			this.moveModeItem.Text = "MoveMode";
			// 
			// ordinareItem
			// 
			this.ordinareItem.Index = 0;
			this.ordinareItem.Text = "Ordinare";
			this.ordinareItem.Click += new System.EventHandler(this.ordinareItem_Click);
			// 
			// streetItem
			// 
			this.streetItem.Index = 1;
			this.streetItem.Text = "Street";
			this.streetItem.Click += new System.EventHandler(this.streetItem_Click);
			// 
			// CalibratorItem
			// 
			this.CalibratorItem.Index = 2;
			this.CalibratorItem.Text = "None";
			this.CalibratorItem.Click += new System.EventHandler(this.CalibratorItem_Click);
			// 
			// tracerItem
			// 
			this.tracerItem.Index = 3;
			this.tracerItem.Text = "ShowTrace ";
			this.tracerItem.Click += new System.EventHandler(this.tracerItem_Click);
			// 
			// nPointsItem
			// 
			this.nPointsItem.Index = 4;
			this.nPointsItem.Text = "nPoints";
			this.nPointsItem.Click += new System.EventHandler(this.nPointsItem_Click);
			// 
			// pointsItem
			// 
			this.pointsItem.Index = 2;
			this.pointsItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					   this.figureItem,
																					   this.pixelItem});
			this.pointsItem.Text = "PointsMode";
			// 
			// figureItem
			// 
			this.figureItem.Index = 0;
			this.figureItem.Text = "Figure";
			this.figureItem.Click += new System.EventHandler(this.figureItem_Click);
			// 
			// pixelItem
			// 
			this.pixelItem.Index = 1;
			this.pixelItem.Text = "Pixel";
			this.pixelItem.Click += new System.EventHandler(this.pixelItem_Click);
			// 
			// clearItem
			// 
			this.clearItem.Index = 3;
			this.clearItem.Text = "ClearSurface";
			this.clearItem.Click += new System.EventHandler(this.clearItem_Click);
			// 
			// rollPictureBox
			// 
			this.rollPictureBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.rollPictureBox.BackColor = System.Drawing.Color.Black;
			this.rollPictureBox.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.rollPictureBox.Cursor = System.Windows.Forms.Cursors.Cross;
			this.rollPictureBox.Location = new System.Drawing.Point(0, 0);
			this.rollPictureBox.Name = "rollPictureBox";
			this.rollPictureBox.Size = new System.Drawing.Size(296, 255);
			this.rollPictureBox.TabIndex = 1;
			this.rollPictureBox.TabStop = false;
			this.rollPictureBox.Resize += new System.EventHandler(this.rollPictureBox_Resize);
			this.rollPictureBox.MouseMove += new System.Windows.Forms.MouseEventHandler(this.rollPictureBox_MouseMove);
			// 
			// helpItem
			// 
			this.helpItem.Index = 4;
			this.helpItem.Text = "Help";
			this.helpItem.Click += new System.EventHandler(this.helpItem_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 256);
			this.Controls.Add(this.rollPictureBox);
			this.Cursor = System.Windows.Forms.Cursors.Cross;
			this.Menu = this.mainMenu1;
			this.MinimumSize = new System.Drawing.Size(100, 100);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}


		private void FormBMP()
		{
			Graphics gr = Graphics.FromImage(bmp);
			if (!showTrace) gr.Clear(System.Drawing.Color.Black);

			int i, N = rpArray.Length, x, y;

			int cX = (int)Math.Floor(centre.X*radiusPoint.X),
				cY = (int)Math.Floor(centre.Y*radiusPoint.Y);

			int zX = (int)Math.Floor(rpArray[0].p.X*radiusPoint.X),
				zY = (int)Math.Floor(rpArray[0].p.Y*radiusPoint.Y); 

			for (i = 0; i < N; i++)
			{
				x = (int)Math.Floor(rpArray[i].p.X*radiusPoint.X);
				y = (int)Math.Floor(rpArray[i].p.Y*radiusPoint.Y);

				try
				{
					if    (showMode == 0)
					{
						brush.Color = rpArray[i].c;
						pen.Color = rpArray[i].cp;                

						gr.DrawRectangle(pen,
							x+(int)Math.Ceiling(radiusPoint.X),
							y+(int)Math.Ceiling(radiusPoint.Y),
							2*(int)Math.Ceiling(radiusPoint.X),
							2*(int)Math.Ceiling(radiusPoint.Y)
							); 

						gr.FillRectangle(brush,
							x+(int)Math.Ceiling(radiusPoint.X),
							y+(int)Math.Ceiling(radiusPoint.Y),
							2*(int)Math.Ceiling(radiusPoint.X),
							2*(int)Math.Ceiling(radiusPoint.Y)
							); 

						if (i==0) bmp.SetPixel(x, y, rpArray[i].c);
					}
					else if (showMode == 1)
					{
						bmp.SetPixel(x, y, rpArray[i].c);
					 
						if (i==0)
						{
							brush.Color = rpArray[i].c;
							pen.Color = rpArray[i].cp;
                

							gr.DrawRectangle(pen,
								x+(int)Math.Ceiling(radiusPoint.X),
								y+(int)Math.Ceiling(radiusPoint.Y),
								2*(int)Math.Ceiling(radiusPoint.X),
								2*(int)Math.Ceiling(radiusPoint.Y)
								); 

							gr.FillRectangle(brush,
								x+2*(int)Math.Ceiling(radiusPoint.X),
								y+2*(int)Math.Ceiling(radiusPoint.Y),
								2*2*(int)Math.Ceiling(radiusPoint.X),
								2*2*(int)Math.Ceiling(radiusPoint.Y)
								);					 
						}
					}
				}
				catch (Exception e0)
				{
					continue;
				}               
			}

			if (moveMode == 1)
			{
				gr.DrawEllipse(cursorPen,
					cX-(float)Math.Ceiling(radiusPoint.X*100.0F),
					cY-(float)Math.Ceiling(radiusPoint.Y*100.0F),
					2*(float)Math.Ceiling(radiusPoint.X*100.0F),
					2*(float)Math.Ceiling(radiusPoint.Y*100.0F)
					);
			}
			else if (moveMode == 2)
			{
			  gr.DrawEllipse(cursorPen,
					zX-(float)Math.Ceiling(radiusPoint.X*100.0F),
					zY-(float)Math.Ceiling(radiusPoint.Y*100.0F),
					2*(float)Math.Ceiling(radiusPoint.X*100.0F),
					2*(float)Math.Ceiling(radiusPoint.Y*100.0F)
					);
						
			}
	

			
			gr.Dispose();

		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitPoints(nPoints);
			this.ordinareItem.Checked = true;
			this.streetItem.Checked = false;
			this.CalibratorItem.Text = "None";
			this.moveMode = 0;
			dlg = new SET_XY(rPoint.o_setNewXY); 
			moveMode = 0;
			this.pixelItem.Checked = false;
			this.figureItem.Checked = true; 
			showMode = 0;
			this.tracerItem.Checked = false; 
			showTrace = false;
		}


		private void DefineRadius()
		{
			radiusPoint = new PointF(
				rollPictureBox.ClientSize.Width*0.0001f,
				rollPictureBox.ClientSize.Height*0.0001f
				);
		}

		private void InitPoints(int nPoints)
		{
         		 
         int X = rollPictureBox.ClientSize.Width, Y = rollPictureBox.ClientSize.Height; 
         int i, alpha, red, green, blue;
         int key = 0;

			alpha = 255;

			red   = 100;
			green = 100;
			blue  = 100;
		
			
			
		for (i = 0; i < nPoints; i++)
		 {
         
//        alpha = rnd.Next(200,255);
//        red   = rnd.Next(10,255);
//		  green = rnd.Next(10,255);
//		  blue  = rnd.Next(10,255);


			if (key == 0)
			{
				if (red == 255) {red = 100; key = 1;}	
				else             red++;
			}
			else if (key == 1)
			{
				if (green == 255) {green = 100; key = 2;}	
				else             green++;
			}
		    else if (key == 2)
			{
				if (blue == 255) {blue = 100; key = 0;}	
				else             blue++;
			}



		  rpArray[i] = new rPoint(   i,
			                         new PointF(
			                                   (float)(rnd.Next(0,X)/radiusPoint.X),
			                                   (float)(rnd.Next(0,Y)/radiusPoint.Y)
			                                  ),
			                         Color.FromArgb
			                                  (
			                                   alpha,
			                                   red,
			                                   green,
			                                   blue			  
			                                   ),
                                      Color.FromArgb
			                                  (
			                                   alpha - 50,
			                                   red   - 10,
			                                   green - 10,
			                                   blue -  10		  
			                                   )			  
			                           );		            

		 }


        zeroPoint = rpArray[0];

		}

		private void timer1_Tick(object sender, System.EventArgs e)
		{
         int i, N = nPoints - 1;
		 //rPoint.isChange = false;
     
		 for (i = 0; i < N; i++)
		 {
          dlg(rpArray[i], rpArray[i+1]);
		 }
   		 dlg(rpArray[N], rpArray[0]);

		 //if (!rPoint.isChange) timer1.Stop();

         FormBMP();
         this.rollPictureBox.Image = bmp;
 		}


		private void goItem_Click(object sender, System.EventArgs e)
		{
		 timer1.Start();
		}

		private void ordinareItem_Click(object sender, System.EventArgs e)
		{
		    this.ordinareItem.Checked = true;
			this.streetItem.Checked = false;
			dlg = new SET_XY(rPoint.o_setNewXY);
            this.timer1.Stop();
			this.timer1.Interval = velocity;
			this.timer1.Start();
		}

		private void streetItem_Click(object sender, System.EventArgs e)
		{
			this.ordinareItem.Checked = false;
			this.streetItem.Checked = true;
			dlg = new SET_XY(rPoint.s_setNewXY);
			this.timer1.Stop();
			this.timer1.Interval = 	velocity;
			this.timer1.Start();
		}

		private void CalibratorItem_Click(object sender, System.EventArgs e)
		{
			if      (moveMode == 2)
			{
			 moveMode = 0;
             CalibratorItem.Text = "None";
			}
			else if (moveMode == 0)
			{
				moveMode = 1;
				CalibratorItem.Text = "Cursor";
			}
			else if (moveMode == 1)
			{
				moveMode = 2;
				CalibratorItem.Text = "First Point";
			}

		}

		private void nPointsItem_Click(object sender, System.EventArgs e)
		{
		 timer1.Stop();
         numPointsForm npf = new numPointsForm(this);
         npf.ShowDialog();
		 rpArray = new rPoint[nPoints];
         InitPoints(nPoints);
         timer1.Start();         
		}

		private void figureItem_Click(object sender, System.EventArgs e)
		{
			this.pixelItem.Checked = false;
			this.figureItem.Checked = true; 
			showMode = 0; 
		}

		private void pixelItem_Click(object sender, System.EventArgs e)
		{
			this.pixelItem.Checked = true;
			this.figureItem.Checked = false; 
			showMode = 1;		
		}

		private void tracerItem_Click(object sender, System.EventArgs e)
		{
			if (showTrace)
			{
				showTrace = false;
				tracerItem.Checked = false;
				timer1.Stop();
				timer1.Interval /= 2;
				timer1.Start();
			}
			else
			{
			 showTrace = true;
			 tracerItem.Checked = true; 
			 timer1.Stop();
			 timer1.Interval *= 2;
             timer1.Start();
			}
		
		}

		private void clearItem_Click(object sender, System.EventArgs e)
		{
			Graphics gr = Graphics.FromImage(bmp);
			gr.Clear(System.Drawing.Color.Black);
            gr.Dispose();

		}

		private void rollPictureBox_Resize(object sender, System.EventArgs e)
		{
			DefineRadius();
			
			reX = (float)(rollPictureBox.ClientSize.Width/radiusPoint.X);
			reY = (float)(rollPictureBox.ClientSize.Height/radiusPoint.Y);

			try
			{
				bmp = new Bitmap(this.rollPictureBox.ClientSize.Width, this.rollPictureBox.ClientSize.Height);
				rollPictureBox.Image = bmp;
			}
			catch (Exception e1)
			{
				timer1.Stop(); 
			}
		
		}

		private void rollPictureBox_MouseMove(object sender, System.Windows.Forms.MouseEventArgs e)
		{
		 centre = new PointF((float)e.X/radiusPoint.X,(float)e.Y/radiusPoint.Y);
		}

		private void helpItem_Click(object sender, System.EventArgs e)
		{
		 Help.ShowHelp(this,@"RollsHelp.htm");
		}

	}


	delegate void SET_XY(rPoint p1, rPoint p2);


	public class rPoint
	{
        public static Form1 f1;

		public static bool isChange;
		long index;
		public PointF p;
		public Color c;
		public Color cp;

		public rPoint(long indexKey, PointF pKey, Color cKey)
		{
            index = indexKey;
			p = pKey;
			c = cKey;
			cp = cKey;
        }

		public rPoint(long indexKey, PointF pKey, Color cKey, Color cpKey)
		{
			index = indexKey;
			p = pKey;
			c = cKey;
			cp = cpKey;
		}


		public void ReSetPosition()
		{

			int X = f1.rollPictureBox.ClientSize.Width, Y = f1.rollPictureBox.ClientSize.Height; 
			this.p = new PointF(
				(float)(f1.rnd.Next(0,X)/Form1.radiusPoint.X),
				(float)(f1.rnd.Next(0,Y)/Form1.radiusPoint.Y)
				);
		}




		bool EQ(rPoint pKey)
		{
		 if (this.index == pKey.index) return true;
         else                          return false;		
		}
		
		private void WeightCalibrator1()
		{		
			float wR = (float)(Math.Sqrt((this.p.X-Form1.centre.X)*(this.p.X-Form1.centre.X) + (this.p.Y-Form1.centre.Y)*(this.p.Y-Form1.centre.Y)));
			if (wR.Equals(0.0F)) {this.ReSetPosition(); return;}
			float wr = (float)(wR*0.05);


			if   ((this.p.X < Form1.centre.X) && (wR < Form1.radiusPoint.X*1500.0F))
			{
				if ((this.p.X - (float)(Form1.radiusPoint.X*15000.0F/((wr*(Form1.centre.X - this.p.X)/wR)+1.0F))) > 0.0F)
					this.p.X = this.p.X - (float)(Form1.radiusPoint.X*15000.0F/((wr*(Form1.centre.X - this.p.X)/wR) + 1.0F));
				else
					this.p.X = 0.0F;			
			}
			else if ((this.p.X > Form1.centre.X) && (wR < Form1.radiusPoint.X*1500.0F))
			{
				if ((this.p.X + (float)(Form1.radiusPoint.X*15000.0F/((wr*(this.p.X - Form1.centre.X)/wR)+1.0F))) < Form1.reX)
					this.p.X = this.p.X + (float)(Form1.radiusPoint.X*15000.0F/((wr*(this.p.X - Form1.centre.X)/wR)+1.0F));
				else
					this.p.X = Form1.reX;			
			}


			if   ((this.p.Y < Form1.centre.Y) && (wR < Form1.radiusPoint.Y*1500.0F))
			{
				if ((this.p.Y - (float)(Form1.radiusPoint.Y*15000.0F/((wr*(Form1.centre.Y - this.p.Y)/wR)+1.0F))) > 0.0F)
					this.p.Y = this.p.Y - (float)(Form1.radiusPoint.Y*15000.0F/((wr*(Form1.centre.Y - this.p.Y)/wR) + 1.0F));
				else
					this.p.Y = 0.0F;			
			}
			else if ((this.p.Y > Form1.centre.Y) && (wR < Form1.radiusPoint.Y*1500.0F))
			{
				if ((this.p.Y + (float)(Form1.radiusPoint.Y*15000.0F/((wr*(this.p.Y - Form1.centre.Y)/wR)+1.0F))) < Form1.reY)
					this.p.Y = this.p.Y + (float)(Form1.radiusPoint.Y*15000.0F/((wr*(this.p.Y - Form1.centre.Y)/wR)+1.0F));
				else
					this.p.Y = Form1.reY;			
			}
		
		}


		private void WeightCalibrator2()
		{
            rPoint zPoint = Form1.zeroPoint;
			if (this.EQ(zPoint)) return;

			float wR = (float)(Math.Sqrt((this.p.X-Form1.zeroPoint.p.X)*(this.p.X-Form1.zeroPoint.p.X) + (this.p.Y-Form1.zeroPoint.p.Y)*(this.p.Y-Form1.zeroPoint.p.Y)));
			if (wR.Equals(0.0F)) {this.ReSetPosition(); return;}
			float wr = (float)(wR*0.05);


			if   ((this.p.X < Form1.zeroPoint.p.X) && (wR < Form1.radiusPoint.X*1500.0F))
			{
				if ((this.p.X - (float)(Form1.radiusPoint.X*15000.0F/((wr*(Form1.zeroPoint.p.X - this.p.X)/wR)+1.0F))) > 0.0F)
					this.p.X = this.p.X - (float)(Form1.radiusPoint.X*15000.0F/((wr*(Form1.zeroPoint.p.X - this.p.X)/wR) + 1.0F));
				else
					this.p.X = 0.0F;			
			}
			else if ((this.p.X > Form1.zeroPoint.p.X) && (wR < Form1.radiusPoint.X*1500.0F))
			{
				if ((this.p.X + (float)(Form1.radiusPoint.X*15000.0F/((wr*(this.p.X - Form1.zeroPoint.p.X)/wR)+1.0F))) < Form1.reX)
					this.p.X = this.p.X + (float)(Form1.radiusPoint.X*15000.0F/((wr*(this.p.X - Form1.zeroPoint.p.X)/wR)+1.0F));
				else
					this.p.X = Form1.reX;			
			}

	
			if   ((this.p.Y < Form1.zeroPoint.p.Y) && (wR < Form1.radiusPoint.Y*1500.0F))
			{
				if ((this.p.Y - (float)(Form1.radiusPoint.Y*15000.0F/((wr*(Form1.zeroPoint.p.Y - this.p.Y)/wR)+1.0F))) > 0.0F)
					this.p.Y = this.p.Y - (float)(Form1.radiusPoint.Y*15000.0F/((wr*(Form1.zeroPoint.p.Y - this.p.Y)/wR) + 1.0F));
				else
					this.p.Y = 0.0F;			
			}
			else if ((this.p.Y > Form1.zeroPoint.p.Y) && (wR < Form1.radiusPoint.Y*1500.0F))
			{
				if ((this.p.Y + (float)(Form1.radiusPoint.Y*15000.0F/((wr*(this.p.Y - Form1.zeroPoint.p.Y)/wR)+1.0F))) < Form1.reY)
					this.p.Y = this.p.Y + (float)(Form1.radiusPoint.Y*15000.0F/((wr*(this.p.Y - Form1.zeroPoint.p.Y)/wR)+1.0F));
				else
					this.p.Y = Form1.reY;			
			}
	
		}



		public static void o_setNewXY(rPoint p1, rPoint p2)
		{
			float dX, dY;

			dX = Math.Abs(p1.p.X-p2.p.X);
			dY = Math.Abs(p1.p.Y-p2.p.Y);

			if (dX.Equals(dY) && dX.Equals(0.0F)) {p1.ReSetPosition(); return;}


            double R = Math.Sqrt((p1.p.X-p2.p.X)*(p1.p.X-p2.p.X) + (p1.p.Y-p2.p.Y)*(p1.p.Y-p2.p.Y));
			double r = R*0.05;
  

            //     Dx  Dy,      
			//         .

			if (p1.p.X < p2.p.X)
			{
			 if ((float)(r*(p2.p.X-p1.p.X)/R) > Form1.radiusPoint.X*10.0F)
				 p1.p.X = p1.p.X + (float)(r*(p2.p.X-p1.p.X)/R);			
			}
            else
			{
			 if ((float)(r*(p1.p.X-p2.p.X)/R) > Form1.radiusPoint.X*10.0F)
				p1.p.X = p1.p.X - (float)(r*(p1.p.X-p2.p.X)/R);			
			}

			if (p1.p.Y < p2.p.Y)
			{
			if ((float)(r*(p2.p.Y-p1.p.Y)/R) > Form1.radiusPoint.Y*10.0F)
				p1.p.Y = p1.p.Y + (float)(r*(p2.p.Y-p1.p.Y)/R);			
			}
			else
			{
			if ((float)(r*(p1.p.Y-p2.p.Y)/R) > Form1.radiusPoint.Y*10.0F)
				p1.p.Y = p1.p.Y - (float)(r*(p1.p.Y-p2.p.Y)/R);			
			}
	
		//===========================================================================
        if (f1.moveMode == 1) p1.WeightCalibrator1();
		if (f1.moveMode == 2) p1.WeightCalibrator2();
		//===========================================================================

		}

		public static void s_setNewXY(rPoint p1, rPoint p2)
		{
			float dX, dY;

			dX = Math.Abs(p1.p.X-p2.p.X);
			dY = Math.Abs(p1.p.Y-p2.p.Y);

			if (dX.Equals(dY) && dX.Equals(0.0F)) {p1.ReSetPosition(); return;}

			double R = Math.Sqrt((p1.p.X-p2.p.X)*(p1.p.X-p2.p.X) + (p1.p.Y-p2.p.Y)*(p1.p.Y-p2.p.Y));
			double r = R*0.1;
			double newR = R - r;

			//     Dx  Dy,      
			//         .

		
			if (dX > dY)
			{
				if (p1.p.X < p2.p.X)
				{
					p1.p.X = p1.p.X + (float)(r*(p2.p.X-p1.p.X)/R);			
				}
				else
				{
					p1.p.X = p1.p.X - (float)(r*(p1.p.X-p2.p.X)/R);			
				}
			}
			else
			{
				if (p1.p.Y < p2.p.Y)
				{
					p1.p.Y = p1.p.Y + (float)(r*(p2.p.Y-p1.p.Y)/R);			
				}
				else
				{
					p1.p.Y = p1.p.Y - (float)(r*(p1.p.Y-p2.p.Y)/R);			
				}
			}

			//===========================================================================
			if (f1.moveMode == 1) p1.WeightCalibrator1();
			if (f1.moveMode == 2) p1.WeightCalibrator2();
			//===========================================================================
		}


	}

}
