using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Rolls01
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		const int velocity = 50;
		public static int radiusCentre = 10;

        public  rPoint cP;
		public  PointF centre; 
		public  PointF radius;

		public static PointF dangerCentre; 
		public static PointF radiusPoint;

		public static float reX, reY;


        public static Random rnd;

		SET_XY dlg;
		int showMode;
		public int moveMode;
		bool showTrace;
		Pen pen, cursorPen, victimePen;
		SolidBrush brush;
		Bitmap bmp;
		public int nPoints;
		public static rPoint zeroPoint;
		public rPoint[] rpArray;
		private System.Windows.Forms.Timer timer1;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem goItem;
		private System.Windows.Forms.MenuItem moveModeItem;
		private System.Windows.Forms.MenuItem pointsItem;
		private System.Windows.Forms.MenuItem figureItem;
		private System.Windows.Forms.MenuItem pixelItem;
		private System.Windows.Forms.MenuItem tracerItem;
		private System.Windows.Forms.MenuItem clearItem;
		public  System.Windows.Forms.PictureBox rollPictureBox;
		private System.Windows.Forms.MenuItem CalibratorItem;
		private System.Windows.Forms.MenuItem nPointsItem;
		private System.Windows.Forms.MenuItem helpItem;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			rnd = new Random();
			brush = new SolidBrush(System.Drawing.Color.Black);
			pen = new Pen(System.Drawing.Color.Black,1);

			cursorPen = new Pen(System.Drawing.Color.Red,1);
			victimePen = new Pen(System.Drawing.Color.Cyan,1);

			bmp = new Bitmap(1,1);
			dangerCentre = new PointF(0.0F, 0.0F);
			nPoints = 1000;
			rpArray = new rPoint[nPoints];
			rPoint.f1 = this;
			InitializeComponent();
			this.rollPictureBox.Image = bmp;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.goItem = new System.Windows.Forms.MenuItem();
			this.moveModeItem = new System.Windows.Forms.MenuItem();
			this.CalibratorItem = new System.Windows.Forms.MenuItem();
			this.tracerItem = new System.Windows.Forms.MenuItem();
			this.nPointsItem = new System.Windows.Forms.MenuItem();
			this.pointsItem = new System.Windows.Forms.MenuItem();
			this.figureItem = new System.Windows.Forms.MenuItem();
			this.pixelItem = new System.Windows.Forms.MenuItem();
			this.clearItem = new System.Windows.Forms.MenuItem();
			this.helpItem = new System.Windows.Forms.MenuItem();
			this.rollPictureBox = new System.Windows.Forms.PictureBox();
			this.SuspendLayout();
			// 
			// timer1
			// 
			this.timer1.Interval = 500;
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.goItem,
																					  this.moveModeItem,
																					  this.pointsItem,
																					  this.clearItem,
																					  this.helpItem});
			// 
			// goItem
			// 
			this.goItem.Index = 0;
			this.goItem.Text = "Go!";
			this.goItem.Click += new System.EventHandler(this.goItem_Click);
			// 
			// moveModeItem
			// 
			this.moveModeItem.Index = 1;
			this.moveModeItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																						 this.CalibratorItem,
																						 this.tracerItem,
																						 this.nPointsItem});
			this.moveModeItem.Text = "MoveMode";
			// 
			// CalibratorItem
			// 
			this.CalibratorItem.Index = 0;
			this.CalibratorItem.Text = "None";
			this.CalibratorItem.Click += new System.EventHandler(this.CalibratorItem_Click);
			// 
			// tracerItem
			// 
			this.tracerItem.Index = 1;
			this.tracerItem.Text = "ShowTrace ";
			this.tracerItem.Click += new System.EventHandler(this.tracerItem_Click);
			// 
			// nPointsItem
			// 
			this.nPointsItem.Index = 2;
			this.nPointsItem.Text = "nPoints";
			this.nPointsItem.Click += new System.EventHandler(this.nPointsItem_Click);
			// 
			// pointsItem
			// 
			this.pointsItem.Index = 2;
			this.pointsItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					   this.figureItem,
																					   this.pixelItem});
			this.pointsItem.Text = "PointsMode";
			// 
			// figureItem
			// 
			this.figureItem.Index = 0;
			this.figureItem.Text = "Figure";
			this.figureItem.Click += new System.EventHandler(this.figureItem_Click);
			// 
			// pixelItem
			// 
			this.pixelItem.Index = 1;
			this.pixelItem.Text = "Pixel";
			this.pixelItem.Click += new System.EventHandler(this.pixelItem_Click);
			// 
			// clearItem
			// 
			this.clearItem.Index = 3;
			this.clearItem.Text = "ClearSurface";
			this.clearItem.Click += new System.EventHandler(this.clearItem_Click);
			// 
			// helpItem
			// 
			this.helpItem.Index = 4;
			this.helpItem.Text = "Help";
			this.helpItem.Click += new System.EventHandler(this.helpItem_Click);
			// 
			// rollPictureBox
			// 
			this.rollPictureBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.rollPictureBox.BackColor = System.Drawing.Color.Black;
			this.rollPictureBox.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.rollPictureBox.Cursor = System.Windows.Forms.Cursors.Cross;
			this.rollPictureBox.Location = new System.Drawing.Point(0, 0);
			this.rollPictureBox.Name = "rollPictureBox";
			this.rollPictureBox.Size = new System.Drawing.Size(296, 255);
			this.rollPictureBox.TabIndex = 1;
			this.rollPictureBox.TabStop = false;
			this.rollPictureBox.Resize += new System.EventHandler(this.rollPictureBox_Resize);
			this.rollPictureBox.MouseMove += new System.Windows.Forms.MouseEventHandler(this.rollPictureBox_MouseMove);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 256);
			this.Controls.Add(this.rollPictureBox);
			this.Cursor = System.Windows.Forms.Cursors.Cross;
			this.Menu = this.mainMenu1;
			this.MinimumSize = new System.Drawing.Size(100, 100);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void FormBMP()
		{
			Graphics gr = Graphics.FromImage(bmp);
			if (!showTrace) gr.Clear(System.Drawing.Color.Black);

			int i, N = rpArray.Length, x, y;

			int cX = (int)Math.Floor(dangerCentre.X*radiusPoint.X),
				cY = (int)Math.Floor(dangerCentre.Y*radiusPoint.Y);

			int zX = (int)Math.Floor(rpArray[0].p.X*radiusPoint.X),
				zY = (int)Math.Floor(rpArray[0].p.Y*radiusPoint.Y); 

			int vX,	vY; 

			for (i = 0; i < N; i++)
			{
				x = (int)Math.Floor(rpArray[i].p.X*radiusPoint.X);
				y = (int)Math.Floor(rpArray[i].p.Y*radiusPoint.Y);

				try
				{
					if    (showMode == 0)
					{
						brush.Color = rpArray[i].c;
						pen.Color = rpArray[i].cp;                

						gr.DrawRectangle(pen,
							x+(int)Math.Ceiling(radiusPoint.X),
							y+(int)Math.Ceiling(radiusPoint.Y),
							2*(int)Math.Ceiling(radiusPoint.X),
							2*(int)Math.Ceiling(radiusPoint.Y)
							); 

						gr.FillRectangle(brush,
							x+(int)Math.Ceiling(radiusPoint.X),
							y+(int)Math.Ceiling(radiusPoint.Y),
							2*(int)Math.Ceiling(radiusPoint.X),
							2*(int)Math.Ceiling(radiusPoint.Y)
							); 

						if (i==0) bmp.SetPixel(x, y, rpArray[i].c);
					}
					else if (showMode == 1)
					{
						bmp.SetPixel(x, y, rpArray[i].c);
					 
						if (i==0)
						{
							brush.Color = rpArray[i].c;
							pen.Color = rpArray[i].cp;
                

							gr.DrawRectangle(pen,
								x+(int)Math.Ceiling(radiusPoint.X),
								y+(int)Math.Ceiling(radiusPoint.Y),
								2*(int)Math.Ceiling(radiusPoint.X),
								2*(int)Math.Ceiling(radiusPoint.Y)
								); 

							gr.FillRectangle(brush,
								x+2*(int)Math.Ceiling(radiusPoint.X),
								y+2*(int)Math.Ceiling(radiusPoint.Y),
								2*2*(int)Math.Ceiling(radiusPoint.X),
								2*2*(int)Math.Ceiling(radiusPoint.Y)
								);					 
						}
					}
				}
				catch (Exception e0)
				{
					continue;
				}               
			}

			if (moveMode == 1)
			{
				gr.DrawEllipse(cursorPen,
					cX-(float)Math.Ceiling(radiusPoint.X*100.0F),
					cY-(float)Math.Ceiling(radiusPoint.Y*100.0F),
					2*(float)Math.Ceiling(radiusPoint.X*100.0F),
					2*(float)Math.Ceiling(radiusPoint.Y*100.0F)
					);
			}
			else if (moveMode == 2)
			{
			  gr.DrawEllipse(cursorPen,
					zX-(float)Math.Ceiling(radiusPoint.X*100.0F),
					zY-(float)Math.Ceiling(radiusPoint.Y*100.0F),
					2*(float)Math.Ceiling(radiusPoint.X*100.0F),
					2*(float)Math.Ceiling(radiusPoint.Y*100.0F)
					);		
				
			  vX = (int)Math.Floor(rpArray[rpArray[0].victim].p.X*radiusPoint.X);
			  vY = (int)Math.Floor(rpArray[rpArray[0].victim].p.Y*radiusPoint.Y); 


				gr.DrawEllipse(victimePen,
					vX-(float)Math.Ceiling(radiusPoint.X*100.0F),
					vY-(float)Math.Ceiling(radiusPoint.Y*100.0F),
					2*(float)Math.Ceiling(radiusPoint.X*100.0F),
					2*(float)Math.Ceiling(radiusPoint.Y*100.0F)
					);			
			}
			
			gr.Dispose();

		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitPoints(nPoints);
			this.CalibratorItem.Text = "None";
			this.moveMode = 0;
			dlg = new SET_XY(rPoint.b_setNewXY); 
			moveMode = 0;
			this.pixelItem.Checked = false;
			this.figureItem.Checked = true; 
			showMode = 0;
			this.tracerItem.Checked = false; 
			showTrace = false;
		}


		private void DefineRadius()
		{

			radiusPoint = new PointF(
				rollPictureBox.ClientSize.Width*0.0001f,
				rollPictureBox.ClientSize.Height*0.0001f
				);

			radius = new PointF(
				rollPictureBox.ClientSize.Width/2.0F,
				rollPictureBox.ClientSize.Height/2.0F
				);

			centre = new PointF(
				rollPictureBox.ClientSize.Width/2.0F,
				rollPictureBox.ClientSize.Height/2.0F
				);

			
			cP = new rPoint(-1,new PointF(centre.X/radiusPoint.X,centre.Y/radiusPoint.Y),Color.Black);

		}


		public int GetX()
		{
		 return rnd.Next(0,(int)(Math.Ceiling(radius.X)));
		}


		/// <summary>
		///     
		///    y  
		///     y = 0:b/a*sqrt(a^2 - x^2)
		/// </summary>
		/// <param name="xKey"></param>
		/// <returns></returns>
		public int GetY(float xKey)
		{
  			return (int)Math.Floor(((radius.Y/radius.X)*Math.Sqrt(radius.X*radius.X - xKey*xKey)));
		 
		}

				
		private void InitPoints(int nPoints)
		{
         		 
         int X, Y; 
         int i;
		 int  alpha, red, green, blue;
         int key = 0;

			alpha = 255;

			red   = 100;
			green = 100;
			blue  = 100;
		
			
			
		for (i = 0; i < nPoints; i++)
		 {
         
//        alpha = rnd.Next(200,255);
//        red   = rnd.Next(10,255);
//		  green = rnd.Next(10,255);
//		  blue  = rnd.Next(10,255);


			if (key == 0)
			{
				if (red == 255) {red = 100; key = 1;}	
				else             red++;
			}
			else if (key == 1)
			{
				if (green == 255) {green = 100; key = 2;}	
				else             green++;
			}
		    else if (key == 2)
			{
				if (blue == 255) {blue = 100; key = 0;}	
				else             blue++;
			}

          X = GetX();
		  Y = GetY(X);
		
		  if (rnd.Next(0,2) == 1) X*=-1;
		  X +=(int)Math.Floor(radius.X);

         			 
		  if (rnd.Next(0,2) == 1) Y*=-1;
		  Y +=(int)Math.Floor(radius.Y);

		  if      (X < (int)Math.Ceiling(radius.X)) X = rnd.Next(X,(int)Math.Ceiling(radius.X));
		  else                                      X = rnd.Next((int)Math.Ceiling(radius.X),X);


		  if      (Y < (int)Math.Ceiling(radius.Y)) Y = rnd.Next(Y,(int)Math.Ceiling(radius.Y));
		  else                                      Y = rnd.Next((int)Math.Ceiling(radius.Y),Y);
		
		  rpArray[i] = new rPoint(   i,
			                         new PointF(
			                                    (float)(X/radiusPoint.X),
			                                    (float)(Y/radiusPoint.Y)
			                                   ),
			                         Color.FromArgb
			                                  (
			                                   alpha,
			                                   red,
			                                   green,
			                                   blue			  
			                                   ),
                                      Color.FromArgb
			                                  (
			                                   alpha - 50,
			                                   red   - 10,
			                                   green - 10,
			                                   blue -  10		  
			                                   )			  
			                           );		            

		 }


        zeroPoint = rpArray[0];

		}

		private void timer1_Tick(object sender, System.EventArgs e)
		{
         int i = 0;
  		 int N = nPoints;
   
         if (this.moveMode == 2) i = 1;
          

			for ( ; i < N; i++)
			{
			 dlg(1.0F, 1.0F, rpArray[i], cP);
			}


			if (this.moveMode == 1)
			{
				for (i = 0 ; i < N; i++)
				{
					rpArray[i].WeightCalibrator1();
				}
			}

			if (this.moveMode == 2)
			{
				rPoint.o_setNewXY(0.0F, 0.0F, rpArray[0], rpArray[rpArray[0].victim]);
				for (i = 1 ; i < N; i++)
				{
					rpArray[i].WeightCalibrator2();
				}
			}


		 FormBMP();
         this.rollPictureBox.Image = bmp;
 		}


		private void goItem_Click(object sender, System.EventArgs e)
		{
		 timer1.Start();
		}



		private void CalibratorItem_Click(object sender, System.EventArgs e)
		{
			if      (moveMode == 2)
			{
			 moveMode = 0;
             CalibratorItem.Text = "None";
			}
			else if (moveMode == 0)
			{
				moveMode = 1;
				CalibratorItem.Text = "Cursor";
			}
			else if (moveMode == 1)
			{
				moveMode = 2;
				CalibratorItem.Text = "First Point";
				rpArray[0].FindVictim(this.nPoints);
			}

		}

		private void nPointsItem_Click(object sender, System.EventArgs e)
		{
		 timer1.Stop();
         numPointsForm npf = new numPointsForm(this);
         npf.ShowDialog();
		 rpArray = new rPoint[nPoints];
         InitPoints(nPoints);
		 if (moveMode == 2)	rpArray[0].FindVictim(this.nPoints);
         timer1.Start();         
		}

		private void figureItem_Click(object sender, System.EventArgs e)
		{
			this.pixelItem.Checked = false;
			this.figureItem.Checked = true; 
			showMode = 0; 
		}

		private void pixelItem_Click(object sender, System.EventArgs e)
		{
			this.pixelItem.Checked = true;
			this.figureItem.Checked = false; 
			showMode = 1;		
		}

		private void tracerItem_Click(object sender, System.EventArgs e)
		{
			if (showTrace)
			{
				showTrace = false;
				tracerItem.Checked = false;
				timer1.Stop();
				timer1.Interval /= 2;
				timer1.Start();
			}
			else
			{
			 showTrace = true;
			 tracerItem.Checked = true; 
			 timer1.Stop();
			 timer1.Interval *= 2;
             timer1.Start();
			}
		
		}

		private void clearItem_Click(object sender, System.EventArgs e)
		{
			Graphics gr = Graphics.FromImage(bmp);
			gr.Clear(System.Drawing.Color.Black);
            gr.Dispose();

		}

		private void rollPictureBox_Resize(object sender, System.EventArgs e)
		{
			DefineRadius();
			
			reX = (float)(rollPictureBox.ClientSize.Width/radiusPoint.X);
			reY = (float)(rollPictureBox.ClientSize.Height/radiusPoint.Y);

			try
			{
				bmp = new Bitmap(this.rollPictureBox.ClientSize.Width, this.rollPictureBox.ClientSize.Height);
				rollPictureBox.Image = bmp;
			}
			catch (Exception e1)
			{
				timer1.Stop(); 
			}
		
		}

		private void rollPictureBox_MouseMove(object sender, System.Windows.Forms.MouseEventArgs e)
		{
		 dangerCentre = new PointF((float)e.X/radiusPoint.X,(float)e.Y/radiusPoint.Y);
		}

		private void helpItem_Click(object sender, System.EventArgs e)
		{
		 Help.ShowHelp(this,@"RollsHelp.htm");
		}

	}


	delegate void SET_XY(float factorKeyX, float factorKeyY, rPoint p1, rPoint p2);


	public class rPoint
	{
        public static Form1 f1;

		public static bool isChange;
		int index;
		public int victim; //  .
		public PointF p;
		public Color c;
		public Color cp;

		int lastXdirection, lastYdirection; 

		public rPoint(int indexKey, PointF pKey, Color cKey)
		{
			victim = -1;
            index = indexKey;
			lastXdirection = 0;
			lastYdirection = 0; 
			p = pKey;
			c = cKey;
			cp = cKey;
        }

		public rPoint(int indexKey, PointF pKey, Color cKey, Color cpKey)
		{
			victim = -1;
			index = indexKey;
			lastXdirection = 0;
			lastYdirection = 0; 
			p = pKey;
			c = cKey;
			cp = cpKey;
		}


		public void FindVictim(int N)
		{
	     victim = Form1.rnd.Next(1,N);		
		}


		bool EQ(rPoint pKey)
		{
		 if (this.index == pKey.index) return true;
         else                          return false;		
		}
		
		public void WeightCalibrator1()
		{
	
			//         -    .
			if (IsSafeDistance(
				Math.Abs(Form1.dangerCentre.X - this.p.X),
				Math.Abs(Form1.dangerCentre.Y - this.p.Y),
				Form1.radiusPoint.X*5000.0F,
				Form1.radiusPoint.Y*5000.0F
				)
				) 
			{
				return;  
			}

			//      -  !
			b_setNewXY(50.0F, 50.0F, this, f1.cP);
			
		}


		public void WeightCalibrator2()
		{
			float wR;
  
			wR = (float)(Math.Sqrt((this.p.X-Form1.zeroPoint.p.X)*(this.p.X-Form1.zeroPoint.p.X) + (this.p.Y-Form1.zeroPoint.p.Y)*(this.p.Y-Form1.zeroPoint.p.Y)));
			
			if (wR.Equals(0.0F)) 
			{
			 Form1.zeroPoint.FindVictim(f1.nPoints);
              return;  
			} 
	
			//         -    .
			if (IsSafeDistance(
				               Math.Abs(Form1.zeroPoint.p.X - this.p.X),
				               Math.Abs(Form1.zeroPoint.p.Y - this.p.Y),
				               Form1.radiusPoint.X*5000.0F,
				               Form1.radiusPoint.Y*5000.0F
				               )
				              ) 
			{
				return;  
			}

			//      -  !
			b_setNewXY(50.0F, 50.0F, this, f1.cP);
			
		}


		static bool IsCorrectMove(float xKey, float yKey, PointF rP)
		{
    		double test;

			test = (xKey*xKey)/(rP.X*rP.X) + (yKey*yKey)/(rP.Y*rP.Y);
	
			if (test < 1.0) return true;
			else            return false;		
		}


		static bool IsSafeDistance(float xKey, float yKey, float xR, float yR)
		{
			double test;

			test = (xKey*xKey)/(xR*xR) + (yKey*yKey)/(yR*yR);
	
			if (test < 1.0) return false;
			else            return true;		
		}




		public static void b_setNewXY(float factorKeyX, float factorKeyY, rPoint p, rPoint cP)
		{
         float xTmp = p.p.X, yTmp  = p.p.Y; 
		 int xDirection, xN, yDirection, yN;
         int oldDirection = Form1.rnd.Next(0,10);

         //       !
         //if (factorKeyX*factorKeyY > 1.0)
         //			                             oldDirection = 9;
 
		 if (oldDirection < 9)
		 {
			 xN = (int)(Form1.rnd.Next(0,10));
			 yN = (int)(Form1.rnd.Next(0,10));
			 p.p.X += Form1.radiusPoint.X*p.lastXdirection*10.0F*xN*factorKeyX;	
			 p.p.Y += Form1.radiusPoint.Y*p.lastYdirection*10.0F*yN*factorKeyY;	
			 if (IsCorrectMove(Math.Abs(p.p.X - cP.p.X), Math.Abs(p.p.Y - cP.p.Y), cP.p)) return;
			 else
			 {
				 p.p.X = xTmp;
				 p.p.Y = yTmp;
			 }
		  	
		 }
         
          
         while (true)
		 {
			 xDirection = 1;
			 if (Form1.rnd.Next(0,2) == 0) xDirection *= -1;
			 xN = Form1.rnd.Next(0,10);
			 p.p.X += Form1.radiusPoint.X*xDirection*10.0F*xN*factorKeyX;	
 

			 yDirection = 1; 
			 if (Form1.rnd.Next(0,2) == 0) yDirection *= -1;	 
			 yN = Form1.rnd.Next(0,10);
			 p.p.Y += Form1.radiusPoint.Y*yDirection*10.0F*yN*factorKeyY;	

			 if (IsCorrectMove(Math.Abs(p.p.X - cP.p.X), Math.Abs(p.p.Y - cP.p.Y), cP.p))
			 {
				 p.lastXdirection = xDirection;
				 p.lastYdirection = yDirection;
				 break;
			 }
		
			 p.p.X = xTmp;
			 p.p.Y = yTmp;

		 }
			
		}


		public static void o_setNewXY(float fKeyX, float fKeyY, rPoint p1, rPoint p2)
		{
			float dX, dY;

			dX = Math.Abs(p1.p.X-p2.p.X);
			dY = Math.Abs(p1.p.Y-p2.p.Y);

			while (dX.Equals(dY) && dX.Equals(0.0F))
			{
				b_setNewXY(0.0F, 0.0F, p1, f1.cP);
				dX = Math.Abs(p1.p.X-p2.p.X);
				dY = Math.Abs(p1.p.Y-p2.p.Y);
			}

            double R = Math.Sqrt((p1.p.X-p2.p.X)*(p1.p.X-p2.p.X) + (p1.p.Y-p2.p.Y)*(p1.p.Y-p2.p.Y));
			double r = R*0.1;
  

            //     Dx  Dy,      
			//         .

			if (p1.p.X < p2.p.X)
			{
			 if ((float)(r*(p2.p.X-p1.p.X)/R) > Form1.radiusPoint.X*10.0F)
				 p1.p.X = p1.p.X + (float)(r*(p2.p.X-p1.p.X)/R);			
			}
            else
			{
			 if ((float)(r*(p1.p.X-p2.p.X)/R) > Form1.radiusPoint.X*10.0F)
				p1.p.X = p1.p.X - (float)(r*(p1.p.X-p2.p.X)/R);			
			}

			if (p1.p.Y < p2.p.Y)
			{
			if ((float)(r*(p2.p.Y-p1.p.Y)/R) > Form1.radiusPoint.Y*10.0F)
				p1.p.Y = p1.p.Y + (float)(r*(p2.p.Y-p1.p.Y)/R);			
			}
			else
			{
			if ((float)(r*(p1.p.Y-p2.p.Y)/R) > Form1.radiusPoint.Y*10.0F)
				p1.p.Y = p1.p.Y - (float)(r*(p1.p.Y-p2.p.Y)/R);			
			}

		}

	}

}
